SET serveroutput ON;
spool 8252_ConsultaEstadsticas2.log;

DECLARE


rsp STRING (200);
RDO T_TABLA_VENTA_PRODUCTO;
i NUMBER;
BEGIN

PKG_CONSULTAS.LISTADO_VENTAS_PRODUCTOS(2015,11,RDO,rsp);
i := RDO.COUNT;
IF i = 0 THEN
      dbms_output.put_line('No hay datos');
ELSE
dbms_output.put_line('');
dbms_output.put_line('***********************************************************************');
dbms_output.put_line('********************* LISTADO VENTAS DE PRODUCTOS *********************');
dbms_output.put_line('***********************************************************************');
dbms_output.put_line('');
dbms_output.put_line('PRODUCTO       DESCRIPCION                       UD.       BENEFICIO N.    TIENDA    N. UD');
dbms_output.put_line('---------      ----------------                 ----     -------------      ----     -----');
FOR i IN 1..RDO.LAST
LOOP
    dbms_output.put_line(RDO(i).producto||'  '|| RPAD(RDO(i).descripcion,30,' ')
  ||'  '|| TO_CHAR(RDO(i).ventas,999)||'  '|| TO_CHAR(RDO(i).beneficio,'999G990D00L')||
  '    '||TO_CHAR(RDO(i).tienda,999)||'  '||TO_CHAR(RDO(i).unidades,99999));
END LOOP;
END IF;
END;

/
spool off;