set serveroutput on;
spool 826_PruebasUnitarias.log;

DECLARE

rsp STRING (200);

BEGIN
dbms_output.put_line ('1.2 Alta de un producto con un cdigo existente:');
PKG_ADMINISTRACION.INSERTAR_PRODUCTO('1234567890123','Falda de punto roja','15/11/2015','Falda','Mujer',rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('1.3 Alta de un producto con un tipo equivocado:');
PKG_ADMINISTRACION.INSERTAR_PRODUCTO('1234567890333','Falda de punto roja','15/11/2015','Falda','Blabla',rsp);
dbms_output.put_line(rsp);

dbms_output.put_line('1.4 Alta de un producto con un gnero equivocado:');
PKG_ADMINISTRACION.INSERTAR_PRODUCTO('1234567890333','Falda de punto roja','15/11/2015','Blabla','Mujer',rsp);
dbms_output.put_line(rsp);

dbms_output.put_line('2.1 Modificar la descripcin de un producto:');
PKG_ADMINISTRACION.MODIFICAR_DESCRIPCION_PRODUCTO('1234567890123','Falda de punto verde',rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('2.2 Modificar la descripcin de un producto que no existe:');
PKG_ADMINISTRACION.MODIFICAR_DESCRIPCION_PRODUCTO('1234567890333','Falda de punto verde',rsp);
dbms_output.put_line(rsp);

dbms_output.put_line('3.1 Eliminar un producto:');
PKG_ADMINISTRACION.ELIMINAR_PRODUCTO(1234567890123,rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('3.2 Eliminar un producto que no existe:');
PKG_ADMINISTRACION.ELIMINAR_PRODUCTO(1234567890123,rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('4.3 Alta de una tienda con una localizacin equivocada:');
PKG_ADMINISTRACION.INSERTAR_TIENDA('Albacete','Catalua','',0,0,'',rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('5.1 Modificar la direccin de una tienda:');
PKG_ADMINISTRACION.MODIFICAR_DIRECCION_TIENDA (1,'Ramblas, 27', rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('5.2 Modificar la direccin de una tienda que no existe:');
PKG_ADMINISTRACION.MODIFICAR_DIRECCION_TIENDA (44,'Ramblas, 27', rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('6.1 Modificar el correo del gerente de una tienda:');
PKG_ADMINISTRACION.MODIFICAR_CORREO_TIENDA (1,'El correo', rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('6.2 Modificar el correo del gerente de una tienda que no existe:');
PKG_ADMINISTRACION.MODIFICAR_CORREO_TIENDA (44,'El correo', rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('7.1 Eliminar una tienda:');
PKG_ADMINISTRACION.ELIMINAR_TIENDA(1, rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('7.2 Eliminar una tienda que no existe:');
PKG_ADMINISTRACION.ELIMINAR_TIENDA(1, rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('8.1 Cambiar el valor de una tienda de "Franquicia":');
UPDATE TIENDAS SET FRANQUICIA  = 0
WHERE tienda_id =1;

dbms_output.put_line ('8.2 Cambiar el valor de una tienda de "Virtual":');
UPDATE TIENDAS set VIRTUAL  = 0
WHERE tienda_id =1;

dbms_output.put_line ('9.1 Cambiar los empleados del mes de una tienda:');
UPDATE N_EMPLEADOS SET NUMERO_EMPLEADOS = 7
WHERE TIENDA_ID = 4 AND ANO = 2015 AND MES = 12;

dbms_output.put_line ('10.2 Insertar una venta de un producto que ya tiene ventas en la misma fecha y hora:');
PKG_VENTA.INSERTAR_VENTA (11,1234567890134,2,'25,2','10,5',rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('10.5 Insertar una venta con una tienda que no existe:');
PKG_VENTA.INSERTAR_VENTA (20,1234567890134,2,'25,2','10,5',rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('10.6 Insertar una venta con un producto que no existe:');
PKG_VENTA.INSERTAR_VENTA (17,1234567890244,2,'25,2','10,5',rsp);
dbms_output.put_line(rsp);

dbms_output.put_line ('10.7 Insertar una venta con unidades negativas:');
PKG_VENTA.INSERTAR_VENTA (17,1234567890124, -2, '25,2', '10,5', rsp);
dbms_output.put_line(rsp);

COMMIT;


END;

/
spool off;